#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 37. LXQt Desktop

- Prev

  lxqt-build-tools-2.1.0

- Next

  libqtxdg-4.1.0

- Up
- Home

# libdbusmenu-lxqt-0.2.0

## Introduction to libdbusmenu-lxqt

The libdbusmenu-lxqt package provides a Qt implementation of the DBusMenu protocol.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://github.com/lxqt/libdbusmenu-lxqt/releases/download/0.2.0/libdbusmenu-lxqt-0.2.0.tar.xz

- Download MD5 sum: 9e7871b3e8a1e75623bc8e0b8bfd6035

- Download size: 40 KB

- Estimated disk space required: 8.0 MB

- Estimated build time: 0.2 SBU (Using parallelism=4)

### libdbusmenu-lxqt Dependencies

#### Required

CMake-3.31.5

#### Optional

Doxygen-1.13.2 and qjson

## Installation of libdbusmenu-lxqt

Install libdbusmenu-lxqt by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -W no-dev ..                 &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`-D WITH_DOC=ON`: Use this switch if you ve installed Doxygen-1.13.2 and want to build the optional documentation.

## Contents

Installed Programs: None
Installed Library: libdbusmenu-lxqt.so
Installed Directory: /usr/include/dbusmenu-lxqt and /usr/lib/cmake/dbusmenu-lxqt

### Short Descriptions

`libdbusmen-lxqt.so` | contains a Qt implementation of the DBusMenu protocol, customized for LXQt

- Prev

  lxqt-build-tools-2.1.0

- Next

  libqtxdg-4.1.0

- Up
- Home